# Dataset

Dataset were downloaded from [Arabidopsis Information Resource](https://www.arabidopsis.org/).

- TAIR10\_chr\_all.fas
- TAIR10\_GFF3\_genes.gff
- gene\_description\_20131231.txt

TAIR10\_GFF3\_genes.gff is too large to use, I minimized this file by using the following commands.

```
head -n 1001 TAIR10_chr_all.fas > genome.fa
head -n 386163 TAIR10_chr_all.fas | tail -n 1001 >> genome.fa
head -n 635510 TAIR10_chr_all.fas | tail -n 1001 >> genome.fa
head -n 932471 TAIR10_chr_all.fas | tail -n 1001 >> genome.fa
head -n 1167726 TAIR10_chr_all.fas | tail -n 1001 >> genome.fa
head -n 1509190 TAIR10_chr_all.fas | tail -n 1001 >> genome.fa
head -n 1513836 TAIR10_chr_all.fas | tail -n 1001 >> genome.fa
```

TAIR10\_GFF3\_genes.gff is too large, I only selected the line contained gene, mRNA, exon.


```
grep 'gene' TAIR10_GFF3_genes.gff > genome.gff
```


